Delete an email
curl --request DELETE \
--url https://inboundr.net/api/v1/emails/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://inboundr.net/api/v1/emails/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://inboundr.net/api/v1/emails/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://inboundr.net/api/v1/emails/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}No Content
Emails
Delete an email
Permanently delete a stored email.
DELETE
/
api
/
v1
/
emails
/
{id}
Delete an email
Hard-deletes the email. Its webhook delivery records are removed, and its stored
blobs (raw MIME and attachments) are deleted from storage on a best-effort
basis. This is irreversible.
string
required
The email id (
em_…).No Content
Deleting an email does not refund billing usage — usage is
counted when a message is received.
Returns
404 if the email doesn’t exist or isn’t yours.⌘I